classification
Title: global .pdbrc on windows 7 not reachable out of the box
Type: enhancement Stage: resolved
Components: Library (Lib), Windows Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: georg.brandl, mbyt, miss-islington, steve.dower, tim.golden, wiggin15, zach.ware
Priority: normal Keywords: patch

Created on 2014-02-05 21:57 by mbyt, last changed 2019-08-03 14:39 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
pdb.diff mbyt, 2014-02-05 21:57 pdb diff
Pull Requests
URL Status Linked Edit
PR 11846 closed python-dev, 2019-02-13 22:02
PR 11847 merged python-dev, 2019-02-13 22:11
PR 11855 closed matrixise, 2019-02-14 10:42
PR 15084 merged miss-islington, 2019-08-02 22:20
PR 15085 merged miss-islington, 2019-08-02 22:20
Messages (6)
msg210349 - (view) Author: (mbyt) Date: 2014-02-05 21:57
The global .pdbrc file is determined by the %HOME% environment variable. However, this is not available out of the box on e.g. windows 7 systems. Here only %HOMEDRIVE% and %HOMEPATH% are defined.

Thus the usual approach to have a global .pdbrc file on windows is to define a %HOME% environment variable by hand. This could be avoided if the global .pdbrc would be determined by os.path.expanduser("~/.pdbrc"), which works on current windows and does the magic behind.

There are two possible approaches to improve this situation:
* explicitly mention in the docs that on windows a %HOME% varialbe need to be created manually
* patch pdb.py to use os.path.expanduser instead (see attached diff)

For reference, see also old discussion https://mail.python.org/pipermail/python-list/2005-October/349550.html.
msg235815 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-02-12 12:00
We have a patch to review or we need a doc patch, unless someone has a different idea to the approaches suggested by the originator.  I prefer the idea of changing the code, manually changing environment variables just seems wrong to me, but I won't lose any sleep over it.
msg235900 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-02-13 16:14
expanduser() sounds like the better choice here.
msg348924 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-08-02 22:20
New changeset 7ea9a85f132b32347fcbd2cbe1b553a2e9890b56 by Steve Dower (Timothy Hopper) in branch 'master':
bpo-20523: pdb searches for .pdbrc in ~ instead of $HOME (GH-11847)
https://github.com/python/cpython/commit/7ea9a85f132b32347fcbd2cbe1b553a2e9890b56
msg348925 - (view) Author: miss-islington (miss-islington) Date: 2019-08-02 22:40
New changeset 1ff7dd681c7f3e31524bfada6d6d2786d4e37704 by Miss Islington (bot) in branch '3.7':
bpo-20523: pdb searches for .pdbrc in ~ instead of $HOME (GH-11847)
https://github.com/python/cpython/commit/1ff7dd681c7f3e31524bfada6d6d2786d4e37704
msg348927 - (view) Author: miss-islington (miss-islington) Date: 2019-08-02 22:42
New changeset 79af3bd1d170ed6a72a5c126e862590cdbf192d7 by Miss Islington (bot) in branch '3.8':
bpo-20523: pdb searches for .pdbrc in ~ instead of $HOME (GH-11847)
https://github.com/python/cpython/commit/79af3bd1d170ed6a72a5c126e862590cdbf192d7
History
Date User Action Args
2019-08-03 14:39:49steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-08-02 22:42:53miss-islingtonsetmessages: + msg348927
2019-08-02 22:40:18miss-islingtonsetnosy: + miss-islington
messages: + msg348925
2019-08-02 22:20:53miss-islingtonsetpull_requests: + pull_request14830
2019-08-02 22:20:33miss-islingtonsetpull_requests: + pull_request14829
2019-08-02 22:20:17steve.dowersetmessages: + msg348924
2019-08-02 22:19:42steve.dowersetversions: + Python 3.7, Python 3.8, Python 3.9, - Python 3.5
2019-02-14 10:42:17matrixisesetpull_requests: + pull_request11887
2019-02-14 10:10:51BreamoreBoysetnosy: - BreamoreBoy
2019-02-13 22:11:40python-devsetpull_requests: + pull_request11878
2019-02-13 22:02:35python-devsetstage: patch review
pull_requests: + pull_request11877
2015-08-18 20:38:58wiggin15setnosy: + wiggin15
2015-02-13 16:14:05steve.dowersetmessages: + msg235900
2015-02-12 12:00:07BreamoreBoysetversions: + Python 3.5
nosy: + tim.golden, BreamoreBoy, zach.ware, steve.dower

messages: + msg235815

components: + Library (Lib), Windows
2014-02-05 22:26:46ned.deilysetnosy: + georg.brandl
2014-02-05 21:57:33mbytcreate